petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDLLibrarySym

Load a symbol from the dynamic link libraries.

### Synopsis

    PetscErrorCode  PetscDLLibrarySym(MPI_Comm comm,PetscDLLibrary *outlist,const char path[],const char insymbol[],void **value)

Collective on MPI_Comm Many br

### Input Parameter

| comm | - communicator that will open the library Many br
| outlist | - list of already open libraries that may contain symbol (can be NULL and only the executable is searched for the function) Many br
| path | - optional complete library name (if provided checks here before checking outlist) Many br
| insymbol | - name of symbol Many br

### Output Parameter

value -if symbol not found then this value is set to NULL Many br

Many br

Notes: Symbol can be of the form Many br[/path/libname[.so.1.0]:]functionname[()] where items in [] denote optional Many br

Will attempt to (retrieve and) open the library if it is not yet been opened. Many br

Level:developer
Location:src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages